import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Accordion.css";
import * as React from "react";
import { IAccordionProps, IAccordionItem } from "./Accordion.Props";
export interface IAccordionState {
    expandedDictionary: {
        [key: string]: boolean;
    };
}
export declare class Accordion extends React.Component<IAccordionProps, IAccordionState> {
    constructor(props: IAccordionProps);
    expand(itemKey: string): void;
    collapse(itemKey: string): void;
    render(): JSX.Element;
    renderItems(): JSX.Element[];
    renderItem(item: IAccordionItem, index: number): JSX.Element;
    toggleExpand(key: string): void;
}
