import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Dropdown.css";
import * as React from "react";
import { IDropdownProps } from "./Dropdown.Props";
import { IListSelection } from '../../List';
import { IListBoxItem } from '../../Listbox';
export declare class Dropdown<T> extends React.Component<IDropdownProps<T>> {
    static defaultProps: {
        renderSelectedItems: typeof renderDropdownSelectedItemText;
    };
    private dropdownButton;
    render(): JSX.Element;
    private renderDropdown;
    private onSelect;
}
export declare function renderDropdownSelectedItemText(selection: IListSelection, items: IListBoxItem<{}>[]): string;
