import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import * as React from "react";
import { IExpandable, IExpandableProps } from "./Expandable.Props";
export interface IExpandableState {
    expanded: boolean;
}
export declare class Expandable extends React.Component<IExpandableProps, IExpandableState> implements IExpandable {
    static defaultProps: Readonly<Partial<IExpandableProps>>;
    private focusGroupContext;
    private expandedOnHover;
    private expandableId;
    private element;
    state: {
        expanded: boolean;
    };
    render(): JSX.Element;
    collapse: () => void;
    expand: () => void;
    private onClick;
    private onFocus;
    private onKeyDown;
    private onMouseEnter;
    private onMouseLeave;
}
