import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import * as React from "react";
import { IFocusGroupContext, IFocusGroupProps, IFocusGroup } from "./FocusGroup.Props";
export declare const FocusGroupContext: React.Context<IFocusGroupContext>;
export interface IFocusGroupState {
    focusedElementId?: string;
}
export declare class FocusGroup extends React.Component<IFocusGroupProps, IFocusGroupState> implements IFocusGroup {
    constructor(props: Readonly<IFocusGroupProps>);
    render(): JSX.Element;
    focus(elementId?: string): void;
    private onFocus;
}
