import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./ListBox.css";
import * as React from "react";
import { IListBoxProps, IListBoxItem } from "./ListBox.Props";
import { ISelectionRange } from '../../Utilities/Selection';
export declare class ListBox<T> extends React.Component<IListBoxProps<T>> {
    private columns;
    private tabbableIndex;
    private positions;
    private count;
    constructor(props: IListBoxProps<T>);
    render(): JSX.Element;
    private onItemsChanged;
    private onSelect;
    private renderListBoxRow;
    private renderListBoxCell;
}
export declare function getNonSelectableRanges<T>(items: IListBoxItem<T>[], itemSelectable?: (item: IListBoxItem<T>) => boolean): ISelectionRange[];
export declare function listBoxItemSelectable<T>(item: IListBoxItem<T>): boolean;
