/// <reference types="react" />
import "../../FabricInit";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./PickList.css";
import "./PickListDropdown.css";
import { IPickListFilterBarItemProps } from "../../Components/PickList/PickList.Props";
import { FilterBarItem, IFilterBarItemState } from '../../FilterBarItem';
export interface IPickListFilterBarItemState extends IFilterBarItemState<any> {
}
export declare class PickListFilterBarItem<T = any> extends FilterBarItem<any[], IPickListFilterBarItemProps<T>, IPickListFilterBarItemState> {
    private _pickListDropdown;
    constructor(props: IPickListFilterBarItemProps<T>);
    componentWillReceiveProps(nextProps: IPickListFilterBarItemProps<T>): void;
    focus(): void;
    forceUpdate(): void;
    render(): JSX.Element;
    private _onClearClicked;
    private _onSelectionChanged;
    private onRenderFooter;
    private _validateProps;
}
