import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./RadioButton.css";
import * as React from "react";
import { IFocusable } from '../../Utilities/Focus';
import { IRadioButtonGroup, IRadioButtonGroupProps, IRadioButtonProps } from "./RadioButton.Props";
export interface IRadioButtonGroupContext {
    onSelect: (buttonId: string) => void;
    selectedButtonId?: string;
}
export declare const RadioButtonGroupContext: React.Context<IRadioButtonGroupContext>;
export declare class RadioButtonGroup extends React.Component<IRadioButtonGroupProps> implements IRadioButtonGroup, IFocusable<{}> {
    private _id;
    private focusGroupContext;
    static defaultProps: IRadioButtonGroupProps;
    constructor(props: Readonly<IRadioButtonGroupProps>);
    render(): JSX.Element;
    focus(): void;
    private onChange;
    private _getFirstButtonId;
}
export declare class RadioButton extends React.Component<IRadioButtonProps> implements IFocusable<{}> {
    private radioButtonInternal;
    render(): JSX.Element;
    focus(): void;
}
