import * as tslib_1 from "tslib";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import * as React from "react";
import { SurfaceBackground } from "./Surface.Props";
export var SurfaceContext = React.createContext({
    background: SurfaceBackground.normal
});
var Surface = /** @class */ (function (_super) {
    tslib_1.__extends(Surface, _super);
    function Surface() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Surface.prototype.render = function () {
        return (React.createElement(SurfaceContext.Provider, { value: {
                background: this.props.background
            } }, this.props.children));
    };
    return Surface;
}(React.Component));
export { Surface };
