/// <reference types="react" />
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import { ITextFieldProps } from "../../TextField";
import { ITextFilterBarProps } from "./TextFilterBarItem.Props";
import { FilterBarItem, IFilterBarItemState } from '../../FilterBarItem';
export interface ITextFilterBarItemState extends IFilterBarItemState<string> {
}
export declare class TextFilterBarItem extends FilterBarItem<string, ITextFilterBarProps, ITextFilterBarItemState> {
    private textField;
    protected static defaultProps: {
        isTextItem: boolean;
    };
    focus(): void;
    render(): JSX.Element;
    protected getExtraTextFieldProps(): Partial<ITextFieldProps> | null;
    protected getThrottleWait(): number;
    private onTextChanged;
    private onKeyDown;
}
