import { ITooltipProps } from '../../../TooltipEx';
export interface ITimeProps {
    /**
     * The tool tip to be displayed.
     */
    tooltipProps: ITooltipProps;

    /**
     * The date time that will be machine readable.
     */
    dateTime?: Date;

    /**
     * The reference to function which returns a string to display.
     */
    getTimeString: () => string;

    /**
     * Reference to the function which returns time interval before next refresh.
     */
    getNextInterval: () => number;
}