import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Toast.css";
import * as React from "react";
import { IToastProps } from "./Toast.Props";
import { ICancelablePromise } from '../../Core/Util/Promise';
export interface IToastState {
    callToActionWidth?: number;
    fadingOut: boolean;
}
export declare class Toast extends React.Component<IToastProps, IToastState> {
    private fadeOutPromise;
    constructor(props: IToastProps);
    fadeOut(): ICancelablePromise<void>;
    render(): JSX.Element;
    componentWillUnmount(): void;
    private onCallToActionClick;
    private onMeasureCallToAction;
}
