import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Breadcrumb.css";
import * as React from "react";
import { IBreadcrumbProps, IBreadcrumbItem } from "./Breadcrumb.Props";
export interface IBreadcrumbState {
    displayedItems: IBreadcrumbItem[];
    linkItems: IBreadcrumbItem[];
    hiddenItemCount: number;
}
export declare class Breadcrumb extends React.Component<IBreadcrumbProps, IBreadcrumbState> {
    private breadcrumbId;
    static defaultProps: IBreadcrumbProps;
    constructor(props: IBreadcrumbProps);
    static getDerivedStateFromProps(props: IBreadcrumbProps, state: IBreadcrumbState): IBreadcrumbState;
    render(): JSX.Element;
    private renderBreadcrumbItems;
    private renderItem;
    private getDivider;
    private onLayoutChanged;
    private onMenuItemActivate;
}
