import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Button.css";
import "./DropdownButton.css";
import * as React from "react";
import { IDropdownButton, IDropdownButtonProps } from "./DropdownButton.Props";
import { IFocusable } from '../../Utilities/Focus';
export interface IDropdownButtonState {
    dropdownId: string;
    expanded: boolean;
    id: string;
}
export declare class DropdownButton extends React.Component<IDropdownButtonProps, IDropdownButtonState> implements IDropdownButton, IFocusable<{}> {
    private containerElement;
    private buttonElement;
    private ignoreClick?;
    constructor(props: Readonly<IDropdownButtonProps>);
    render(): JSX.Element;
    collapse: () => void;
    expand: () => void;
    focus(): void;
    private renderCallout;
    private onClick;
    private onKeyDown;
    private onMouseDown;
}
