import * as tslib_1 from "tslib";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Card.css";
import * as React from "react";
import { Header, TitleSize } from '../../Header';
import { CardContent } from "./CardContent";
import { CustomCard } from "./CustomCard";
export var Card = function (props) {
    var _a = props.titleProps, titleProps = _a === void 0 ? {} : _a, headerCommandBarItems = props.headerCommandBarItems;
    var text = titleProps.text, className = titleProps.className, _b = titleProps.size, size = _b === void 0 ? TitleSize.Small : _b, ariaLevel = titleProps.ariaLevel;
    return (React.createElement(CustomCard, { className: props.className },
        (text || headerCommandBarItems) && (React.createElement(Header, { className: "bolt-card-header", commandBarItems: headerCommandBarItems, title: text, titleAriaLevel: ariaLevel, titleClassName: className, titleSize: size })),
        React.createElement(CardContent, tslib_1.__assign({}, props.contentProps), props.children)));
};
