import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Checkbox.css";
import * as React from "react";
import { IFocusable } from '../../Utilities/Focus';
import { ITriStateCheckboxProps, ICheckboxProps } from "./Checkbox.Props";
export declare class TriStateCheckbox<T extends ITriStateCheckboxProps> extends React.Component<T> implements IFocusable<{}> {
    private focusGroupContext;
    private checkboxElement;
    private labelId;
    constructor(props: Readonly<T>);
    render(): JSX.Element;
    focus(): void;
    private onClick;
    private onFocus;
    private onKeyDown;
    private onChange;
}
export declare class Checkbox extends TriStateCheckbox<ICheckboxProps> {
    static defaultProps: ICheckboxProps;
}
