/// <reference types="react" />
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./DateTimePicker.css";
import { IDateTimePickerFilterBarItemProps } from "../../Components/DateTimePicker/DateTimePicker.Props";
import { IFilterItemState } from '../../Utilities/Filter';
import { FilterBarItem, IFilterBarItemState } from '../../FilterBarItem';
export interface IDateTimePickerFilterBarItemState extends IFilterBarItemState<Date> {
}
export declare class DateTimePickerFilterBarItem extends FilterBarItem<Date, IDateTimePickerFilterBarItemProps, IDateTimePickerFilterBarItemState> {
    focus(): boolean;
    componentWillMount(): void;
    render(): JSX.Element;
    private _onSelectionChanged;
    protected onFilterChanged(filterState: IFilterItemState): void;
}
