import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./HeaderCommandBar.css";
import * as React from "react";
import { IHeaderCommandBarProps, IHeaderCommandBarWithFilterProps, IHeaderCommandBar } from "./HeaderCommandBar.Props";
export declare class HeaderCommandBar extends React.Component<IHeaderCommandBarProps> implements IHeaderCommandBar {
    private menuButtonId;
    constructor(props: Readonly<IHeaderCommandBarProps>);
    render(): JSX.Element;
}
export interface IHeaderCommandBarWithFilterState {
    filterHasChanges: boolean;
}
export declare class HeaderCommandBarWithFilter extends React.Component<IHeaderCommandBarWithFilterProps, IHeaderCommandBarWithFilterState> {
    constructor(props: IHeaderCommandBarWithFilterProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private onFilterClicked;
    private onFilterChanged;
}
