import * as tslib_1 from "tslib";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./FabricIcons.css";
import * as React from "react";
import { css, getSafeId } from '../../Util';
import { Tooltip } from '../../TooltipEx';
export function Icon(props) {
    if (props.render) {
        return props.render(props.className);
    }
    var icon = (React.createElement("span", { "aria-label": props.ariaLabel, id: getSafeId(props.id), key: props.key, className: css(props.className, "flex-noshrink", props.iconName && "fabric-icon", props.iconName && "ms-Icon--" + props.iconName), style: props.style, tabIndex: props.tabIndex, title: props.title, onClick: props.onClick }));
    if (props.tooltipProps) {
        icon = React.createElement(Tooltip, tslib_1.__assign({}, props.tooltipProps), icon);
    }
    return icon;
}
