import * as tslib_1 from "tslib";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Panel.css";
import * as React from "react";
import { CustomPanel } from "./CustomPanel";
import { PanelContent } from "./PanelContent";
import { PanelFooter } from "./PanelFooter";
import { PanelHeader } from "./PanelHeader";
export var Panel = function (props) {
    var description = props.description, footerButtonProps = props.footerButtonProps, onDismiss = props.onDismiss, showSeparator = props.showSeparator, _a = props.titleProps, titleProps = _a === void 0 ? {} : _a;
    return (React.createElement(CustomPanel, tslib_1.__assign({}, props),
        React.createElement(PanelHeader, { onDismiss: onDismiss, showSeparator: showSeparator, titleProps: titleProps, description: description }),
        React.createElement(PanelContent, null, props.children),
        footerButtonProps && React.createElement(PanelFooter, { showSeparator: showSeparator, buttonProps: footerButtonProps })));
};
