import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./Panel.css";
import * as React from "react";
import { Button } from '../../Button';
import { css } from '../../Util';
import * as Resources from '../../Resources.Layer';
import { PanelCloseButtonSize } from "./Panel.Props";
export var PanelCloseButton = function (props) {
    return (React.createElement(Button, { className: css(props.className, "close-button"), ariaLabel: Resources.Close, iconProps: { iconName: props.size === PanelCloseButtonSize.small ? "Clear" : "Cancel" }, onClick: props.onDismiss, subtle: true }));
};
