import "../../FabricInit";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./PeoplePickerDropdown.css";
import * as React from "react";
import { IPeoplePickerDropdownProps, IPeoplePickerDropdown } from "./PeoplePickerDropdown.Props";
import { IIdentity } from "../PeoplePicker/SharedPeoplePicker.Props";
export declare class PeoplePickerDropdown extends React.Component<IPeoplePickerDropdownProps> implements IPeoplePickerDropdown {
    static defaultProps: {
        calloutWidth: number;
    };
    private areSuggestionsVisible;
    private cachedResults;
    private currentPromise;
    private hasFocus;
    private inputElement;
    private loadingTimer;
    private openedIdentityCard;
    private outerElement;
    private lastPickedIdentity;
    private selectedIdentity;
    private suggestionsControl;
    private suggestionsLoading;
    private suggestionStore;
    private textValue;
    private timerManagement;
    constructor(props: IPeoplePickerDropdownProps);
    render(): JSX.Element;
    componentDidMount(): void;
    currentSuggestion: () => IIdentity;
    componentWillUnmount(): void;
    hidePicker: () => void;
    showPicker: () => void;
    updateSuggestionsList(suggestions: IIdentity[] | PromiseLike<IIdentity[]>, initialSearchValue?: string): void;
    private renderPersonaCoin;
    private closePersonaCard;
    private completeSuggestion;
    private onBlur;
    private onClick;
    private onFocus;
    private onKeyDown;
    private onResolveSuggestions;
    private onSearchChange;
    private onSuggestionClick;
    private renderNoIdentitiesFound;
    private renderSuggestionItem;
    private renderSuggestions;
    private selectedPersonaChanged;
    private setInputToSelectedPerson;
    private updateSuggestions;
    private updateValue;
}
