import * as tslib_1 from "tslib";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./PersonaCard.css";
import * as React from "react";
import { VssPersona } from '../../VssPersona';
var DefaultSimpleCard = /** @class */ (function (_super) {
    tslib_1.__extends(DefaultSimpleCard, _super);
    function DefaultSimpleCard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    // Render
    DefaultSimpleCard.prototype.render = function () {
        var mainPersonaData = {
            imageUrl: this.props.identity.image,
            primaryText: this.props.identity.displayName,
            secondaryText: this.props.identity.scopeName && this.props.identity.signInAddress
                ? this.props.identity.scopeName + "\\" + this.props.identity.signInAddress
                : this.props.identity.signInAddress
                    ? this.props.identity.signInAddress
                    : ""
        };
        return (React.createElement("div", { className: "default-card-simple flex-row" },
            React.createElement("div", { className: "flex-row" },
                React.createElement(VssPersona, { className: "persona-main", displayName: mainPersonaData.primaryText, imageUrl: mainPersonaData.imageUrl ? mainPersonaData.imageUrl + "?size=2" : undefined, suppressPersonaCard: true, size: "extra-large" }),
                React.createElement("div", { className: "flex-column flex-grow persona-card-name" },
                    React.createElement("div", { className: "persona-main-text-primary" }, mainPersonaData.primaryText),
                    mainPersonaData.secondaryText === "" ? undefined : React.createElement("div", { className: "persona-main-text-secondary" }, mainPersonaData.secondaryText)))));
    };
    return DefaultSimpleCard;
}(React.Component));
export { DefaultSimpleCard };
