import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import "./TextField.css";
import * as React from "react";
import { ITextField, ITextFieldProps } from "./TextField.Props";
export declare class TextField extends React.Component<ITextFieldProps> implements ITextField {
    private inputElement;
    private inputId;
    constructor(props: ITextFieldProps);
    componentDidMount(): void;
    focus(): void;
    readonly select: () => void;
    setSelectionRange(start: number, end: number, direction?: "forward" | "backward" | "none" | undefined): void;
    render(): JSX.Element;
    private onInputChange;
    private adjustInputHeight;
}
