import * as tslib_1 from "tslib";
import "../../FabricInit";
import "../../CommonImports";
import "../../Core/core.css";
import "../../Common.css";
import * as React from "react";
import { css } from '../../Util';
import { TooltipHost as OfTooltipHost } from "office-ui-fabric-react/lib/Tooltip";
var TooltipHost = /** @class */ (function (_super) {
    tslib_1.__extends(TooltipHost, _super);
    function TooltipHost() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TooltipHost.prototype.render = function () {
        var realProps = tslib_1.__assign({}, this.props);
        if (!realProps.calloutProps) {
            realProps.calloutProps = {
                isBeakVisible: false
            };
        }
        if (!realProps.calloutProps.gapSpace) {
            realProps.calloutProps.gapSpace = 8;
        }
        return React.createElement(OfTooltipHost, tslib_1.__assign({}, realProps, { className: css(realProps.className || realProps.calloutProps.className, "vss-Tooltip") }));
    };
    return TooltipHost;
}(React.Component));
export { TooltipHost };
